Bug 496915 - X locks up if you attempt to start without DRI
X locks up if you attempt to start without DRI
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 12:15 EDT by Ian Collier
Modified: 2018-04-11 11:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-19 16:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf which has DRI set to off (660 bytes, text/plain)
2009-04-21 12:15 EDT, Ian Collier
no flags Details
Xorg.0.log of the failing X server (56.47 KB, text/plain)
2009-04-21 12:16 EDT, Ian Collier
no flags Details

  None (edit)
Description Ian Collier 2009-04-21 12:15:32 EDT
Created attachment 340567 [details]
xorg.conf which has DRI set to off

Description of problem:
If you turn DRI off in xorg.conf then it does not start up properly; you can move the mouse pointer but the gdm login screen is not drawn properly and none of the buttons work.  The log file says that "The server is probably stuck in an infinite loop".

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.5.3-15.fc10.i386
xorg-x11-drv-i810-2.5.0-4.fc10.i386
kernel-2.6.27.21-170.2.56.fc10.i686

How reproducible:
Always

Steps to Reproduce:
1. Use the attached xorg.conf
2. Start up the machine in runlevel 5
3. Boom

Additional info:
This may be due to the same root cause as bug 476578, but the graphic adapters are different, and in that bug DRI failed for some reason whereas in this case I turned DRI off deliberately (to test it as a potential workaround for bug 496910, as it happens).  The graphic adapter in this case is 855GM [8086:3582].
Comment 1 Ian Collier 2009-04-21 12:16:24 EDT
Created attachment 340568 [details]
Xorg.0.log of the failing X server
Comment 2 Vedran Miletić 2009-09-06 05:05:27 EDT
Is this still an issue in Fedora 12 Snap1?
Comment 3 Ian Collier 2009-09-10 06:22:39 EDT
Unfortunately I don't think I'm in a position to test that at the moment.
Comment 4 Matěj Cepl 2009-09-19 16:48:51 EDT
OK, closing as INSUFFICIENT_DATA. Feel free to reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.